
# This file is a template, and might need editing before it works on your project.
# Official docker image.
image: docker:latest

services:
- docker:dind

before_script:
- docker login -u "$CI_REGISTRY_USER" -p "$CI_REGISTRY_PASSWORD" $CI_REGISTRY


frontend:
  stage: build
  script:
    - docker build -t "$CI_REGISTRY_IMAGE/app:$CI_COMMIT_REF_SLUG" -f docker/app/Dockerfile src/
    - docker push  "$CI_REGISTRY_IMAGE/app:$CI_COMMIT_REF_SLUG"
  only :
    refs :
      - branches
      - tags
    changes :
      - src/**/*
      - docker/app/Dockerfile
      - .gitlab-ci.yml

sql:
  stage: build
  script:
    - docker build --no-cache --pull -f docker/sql/Dockerfile -t "$CI_REGISTRY_IMAGE/image_file_sql:${CI_COMMIT_REF_SLUG}" sql/
    - docker push  "$CI_REGISTRY_IMAGE/image_file_sql:${CI_COMMIT_REF_SLUG}"
  only:
    changes:
      - docker/sql/Dockerfile
      - sql/**/*
      - .gitlab-ci.yml
  except:
    - tags
